Bug 1277160 - Pod Logs tab hangs browser
Pod Logs tab hangs browser
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console (Show other bugs)
3.1.0
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Samuel Padgett
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 09:20 EST by Libor Fuka
Modified: 2015-11-23 09:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:44:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2015-11-02 09:20:26 EST
Description of problem:
When i open big Pod log in Logs tab it hangs browser.

Version-Release number of selected component (if applicable):
3.1.0

How reproducible:
Always

Steps to Reproduce:
1. Click Pods
2. Choose some pod
2. Click Logs tab

Actual results:
Hangs browser and all his instances

Additional info:
Firefox 37.0.2
Comment 2 Jessica Forrester 2015-11-02 11:42:24 EST
We just put in major fixes related to large logs, and some more fixes are going in today.
Comment 3 Jessica Forrester 2015-11-02 15:24:07 EST
Fixes are all merged into origin, latest fix was https://github.com/openshift/origin/pull/5564
Comment 4 yapei 2015-11-04 03:58:15 EST
Verified on latest origin code,
oc v1.0.7-203-geebdecd
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4

Tested on Chrome, Firefox, IE, and Safari, when open and follow large Pod logs(more than 2000 lines), they are smooth


Once OSE is ready for testing, will verify on OSE
Comment 5 yapei 2015-11-05 05:09:21 EST
verified on OSE
oc v3.1.0.0
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4


it works well for large pod logs

Note You need to log in before you can comment on or make changes to this bug.